package cn.meowrain.aioj.backend.question.common.enums;

import lombok.Getter;

/**
 * 题目难度枚举
 */
@Getter
public enum QuestionDifficultyEnum {

    /**
     * 简单
     */
    EASY("easy", "简单"),

    /**
     * 中等
     */
    MEDIUM("medium", "中等"),

    /**
     * 困难
     */
    HARD("hard", "困难"),

    ;

    /**
     * 难度值
     */
    private final String value;

    /**
     * 描述
     */
    private final String desc;

    QuestionDifficultyEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }
}
